﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public  interface IBasicPlcTestSchemeDtlService : IBaseService<bas_plc_test_scheme_dtl>
    {
        /// <summary>
        /// 更具schid查找所有测试项
        /// </summary>
        /// <param name="schemeName"></param>
        /// <returns></returns>
        public List<bas_plc_test_scheme_dtl> FindAllBySchId(long schemeId);
        /// <summary>
        /// 根据 方案id和测试项名称 查找方案明细schdtlID，主要用在更新中
        /// </summary>
        /// <param name="schemeId"></param>
        /// <returns></returns>
        public bas_plc_test_scheme_dtl FindSchDtlIdBySchIdAndItem(long schemeId, string itemName);
    }
}
