﻿using Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.Models
{
    public class SelectItemModel:BaseDto
    {
        /// <summary>
        /// Desc:测试项名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string itemName { get; set; }
        public string ItemName
        {
            get { return itemName; }
            set { itemName = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:测试项类型。0：代表测试方案的前置项，需要首先进行测试。1：PLC点位测试项。2：Robot动作测试
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string item_type { get; set; }
        public string ItemType
        {
            get { return item_type; }
            set { item_type = value; OnPropertyChanged(); }
        }

        private bool isSelected { get; set; }
        public bool IsSelected
        {
            get { return isSelected; }
            set { isSelected = value; OnPropertyChanged(); }
        }
    }
}
