﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_plc")]
    public partial class bas_plc
    {
           public bas_plc(){


           }
           /// <summary>
           /// Desc:PLC配置表主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long plc_id {get;set;}

           /// <summary>
           /// Desc:PLC类型。	Siemens：西门子；	Omron：欧姆龙；	Beckhoff：倍福；	Mitsubishi：三菱；
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_type {get;set;}

           /// <summary>
           /// Desc:PLC编码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_code {get;set;}

           /// <summary>
           /// Desc:PLC名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_name {get;set;}

           /// <summary>
           /// Desc:连接PLC的IP地址
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_ip {get;set;}

           /// <summary>
           /// Desc:连接PLC的端口号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_port {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
