﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("bas_plc_address")]
    public partial class bas_plc_address
    {
           public bas_plc_address(){


           }
           /// <summary>
           /// Desc:PLC地址块配置表主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long plc_address_id {get;set;}

           /// <summary>
           /// Desc:PLC编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_code {get;set;}

           /// <summary>
           /// Desc:PLC地址编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string plc_address_code {get;set;}

           /// <summary>
           /// Desc:PLC读写地址类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_address_type {get;set;}

           /// <summary>
           /// Desc:PLC读写地址起始位置
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int plc_start_address {get;set;}

           /// <summary>
           /// Desc:PLC读写地址结束位置
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string plc_end_address {get;set;}

           /// <summary>
           /// Desc:PLC读写地址长度(单位：word 字)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public double plc_address_length {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
