﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("biz_test_record")]
    public partial class biz_test_record
    {
           public biz_test_record(){


           }
           /// <summary>
           /// Desc:测试记录表主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long record_id {get;set;}

           /// <summary>
           /// Desc:测试记录名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string record_name {get;set;}

           /// <summary>
           /// Desc:测试方案名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string scheme_name {get;set;}

           /// <summary>
           /// Desc:测试人员
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string tester {get;set;}

           /// <summary>
           /// Desc:开始测试时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? start_test_time {get;set;}

           /// <summary>
           /// Desc:测试完成时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? finish_test_time {get;set;}

           /// <summary>
           /// Desc:测试记录主表状态。0：未完成；99：已完成；100：强制完成；111：删除。
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int status {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
